/*
  docgen  Objective C Document Generator
  Copyright (C) 1995  Bill Bereza.
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  Email:
  berezaw@river.it.gvsu.edu

  S-mail:
  Bill Bereza
  9526 Judson Rd.
  Ravenna, MI 49451-9427

  */
/* docgen	Objective C Document Generator
 * Copyright (c) 1994 Bill Bereza
 *
 * $Log:	TESTFormatter.m,v $
 * Revision 1.2  95/07/26  22:03:30  berezaw
 * *** empty log message ***
 * 
 * Revision 1.1  95/07/23  16:32:28  berezaw
 * Initial revision
 * 
 *
 *	$Id: TESTFormatter.m,v 1.2 95/07/26 22:03:30 berezaw Exp $
 */

// laziness...
#define xprintf(s) [self writeFormat:s]

#include <TESTFormatter.h>

@implementation TESTFormatter
/*
   This just print out plain text. Hopefully formatted.
   */

+(char *)fileExtension
{
	return "test";
}

// Generic formatting commands
-(int)changeFontSize:(int)to
{
	return 0;
}

-(int)putLine:(const char *)line
{
	return [self writeFormat:"TESTING\n",line];
}

-(int)putEof { return [self writeFormat:"\n"]; }
-(int)makeBold { return 0; }
-(int)unBold { return 0; }
-(int)makeItalic { return 0; }
-(int)unItalic { return 0; }
-(int)changeFont:(int)to { return 0; }
-(int)makeUnderline { return 0; }
-(int)unUnderline { return 0; }

// <DocgenFormatting>
-(int)putConformHeader:(const char *)line
{
	[self writeFormat:"Conforms To:"];
	return [self writeFormat:"\t%s\n",line];
}

-(int)putMethodL1 { return 0; }
-(int)putMethodL2 { return 0; }
-(int)putHead { return 0; }
-(int)putCPHead { return 0; }
-(int)putMethodDescription { return 0; }
-(int)putFont:(int)fn Char:(int)theChar { return [self writeFormat:"%c",(char)theChar]; }
-(int)putStart { return [self writeFormat:"\n\n\n"]; }
-(int)putInheritHeader { return [self writeFormat:"\n\n\n\nInherits From:\t"]; }
-(int)putInheritTail:(const char *)line
{
	[self writeFormat:"\n"];
	[self writeFormat:"Declared In:"];
	[self writeFormat:"\t%s\n",line];
	[self writeFormat:"\n"];
	[self writeFormat:"\n"];
	[self writeFormat:"\n\n\n"];
	return [self writeFormat:"Class Description\n\n"];
}

-(int)putCategoryHeader
{
	return [self writeFormat:"\n\n\n\nCategory Of:\t"];
}

-(int)putCategoryTail:(const char *)line
{
	[self writeFormat:"\nDeclared In:\t%s\n",line];
	return [self writeFormat:"\n\n\n\n\nCategory Description\n\n"];
}

-(int)putIHeader
{
	return [self writeFormat:"\n\n\n\n\nInstance Variables\n\n"];
}

-(int)putMethodHeader:(const char *)kindof
{
	return [self writeFormat:"\n\n\n\n%s Methods\n", kindof];
}

-(int)putMethodType
{
	return [self writeFormat:"\n\n\n\n\n\nMethodTypes\n\n"];
}

-(int)putIVarDescription
{
	return [self writeFormat:"\n\n"];
}

@end
